Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaParticle

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaParticle

Direct Known Subclasses:
  XmlSchemaAny, XmlSchemaElement, XmlSchemaGroupBase, XmlSchemaGroupRef

    public class XmlSchemaParticle

extends XmlSchemaAnnotated

Base class for all particle types.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`XmlSchemaParticle()` Creates new XmlSchemaParticle Particle types are usually interchangeable.

Method Summary
`long` | `getMaxOccurs()`
`long` | `getMinOccurs()`
`void` | `setMaxOccurs(long maxOccurs)`
`void` | `setMinOccurs(long minOccurs)`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaParticle

    public XmlSchemaParticle()

  Creates new XmlSchemaParticle Particle types are usually interchangeable. A local element declaration or reference to a global element declaration (element), a compositor ( sequence, choice, or all), a reference to a named content model group (group), or an element wildcard (any).

Method Detail

### setMaxOccurs

    public void setMaxOccurs(long maxOccurs)

### getMaxOccurs

    public long getMaxOccurs()

### setMinOccurs

    public void setMinOccurs(long minOccurs)

### getMinOccurs

    public long getMinOccurs()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.